Package org.eclipse.rdf4j.query.parser.sparql

## Class BaseDeclProcessor

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.BaseDeclProcessor

-     @InternalUseOnly
      public class BaseDeclProcessor
      extends Object

  Resolves relative URIs in a query model using either an external base URI or using the base URI specified in the query model itself. The former takes precedence over the latter.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseDeclProcessor()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `process​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOperationContainer qc, String externalBaseURI)` | Resolves relative URIs in the supplied query model using either the specified externalBaseURI or, if this parameter is null, the base URI specified in the query model itself.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseDeclProcessor

          public BaseDeclProcessor()

  - ### Method Detail

    - #### process

          public static void process​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOperationContainer qc,
                                     String externalBaseURI)
                              throws MalformedQueryException

      Resolves relative URIs in the supplied query model using either the specified externalBaseURI or, if this parameter is null, the base URI specified in the query model itself.
      Parameters:
        `qc` - The query model to resolve relative URIs in.
        `externalBaseURI` - The external base URI to use for resolving relative URIs, or null if the base URI that is specified in the query model should be used.
      Throws:
        `IllegalArgumentException` - If an external base URI is specified that is not an absolute URI.
        `MalformedQueryException` - If the base URI specified in the query model is not an absolute URI.